// ListcClientDlg.h : Declaration of the CListcClientDlg

#ifndef __LISTCCLIENTDLG_H_
#define __LISTCCLIENTDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>

#import "..\ATLListControl\Debug\ATLListControl.dll" raw_interfaces_only, raw_native_types, no_namespace, named_guids  

/////////////////////////////////////////////////////////////////////////////
// CListcClientDlg
class CListcClientDlg : 
	public CAxDialogImpl<CListcClientDlg>,
	public IDispEventImpl<IDC_LISTBOXCONTROLX, CListcClientDlg>
{
public:
	CListcClientDlg();

	~CListcClientDlg()
	{
	}

	enum { IDD = IDD_LISTCCLIENTDLG };

BEGIN_MSG_MAP(CListcClientDlg)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	DEFAULT_REFLECTION_HANDLER ()
END_MSG_MAP()
// Handler prototypes:
//  LRESULT MessageHandler(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
//  LRESULT CommandHandler(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
//  LRESULT NotifyHandler(int idCtrl, LPNMHDR pnmh, BOOL& bHandled);

	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);

public:
BEGIN_SINK_MAP (CListcClientDlg)
	SINK_ENTRY(IDC_LISTBOXCONTROLX, 0x1, OnSelectionChangeListboxcontrolx)
END_SINK_MAP ()

protected:
	HWND m_XListBoxCtlWnd;
	HWND m_hSelectIndexStatic;
	CComPtr<IListBoxControlX> m_pXListBoxCtl;
	
	VOID __stdcall OnSelectionChangeListboxcontrolx();
};

#endif //__LISTCCLIENTDLG_H_
